Bug 399931 - Logitech mouse options are disabled
Logitech mouse options are disabled
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened, Tracking
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 14:06 EST by Konstantin Svist
Modified: 2011-12-01 08:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-01 08:13:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Svist 2007-11-26 14:06:43 EST
Description of problem:

In KDE Control Center -> Peripherals -> Mouse  there is a tab labeled "Cordless
Desktop Pro LX700". On that page all controls are disabled and a message is
displayed:
"You have a Logitech Mouse Connected, and libusb was found at compile time, but
it was not possible to access this mouse. This is probably caused by a
permissions problem - you should consult the manual on how to fix this."

The mouse currently connected is Logitech VX notebook laser mouse. In the help
section about Logitech panel, it says that the distribution (i.e. Fedora, in
this case) must set up permissions so these options can be used.


How reproducible:
Every time
Comment 1 Bastien Nocera 2007-11-26 15:20:54 EST
The "control-center" component is the GNOME control-center. Reassigning to
kdebase, as I have no idea which package in KDE ships it.
Comment 2 Kevin Kofler 2007-11-26 16:09:34 EST
kdebase is the correct component for kcontrol.

Is this udev or hal not giving out the proper permissions to the device or is 
this kcontrol not being ACL-aware and thus thinking it has no permissions when 
it actually has them?
Comment 3 Lukáš Tinkl 2008-01-02 09:05:47 EST
Currently, the Logitech CC needs console user perms that are unfortunately 
only implemented using (now obsolete) usb-hotplug. Consider filing a bugreport 
upstream (bugs.kde.org) and tell the author to add support for udev.
Comment 4 Kevin Kofler 2008-01-02 09:13:48 EST
Can't we write the udev script ourselves? It shouldn't be too hard using the 
upstream-provided hotplug script as a reference. Other packages where upstream 
isn't providing the correct setup are doing exactly that.
Comment 5 Bug Zapper 2008-11-26 03:42:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Kevin Kofler 2008-11-26 05:41:49 EST
This is still disabled in F9 and F10 (we aren't building kdebase-workspace against libusb at all to avoid the non-working KCM - by the way, I see Lorenzo Villani enabled this in Rawhide, that's a bad idea, we deliberately kept it disabled!), still due to missing udev scripts.
Comment 7 Steven M. Parrish 2009-02-06 12:05:39 EST
Thank you for the bug report.  This issue needs to be addressed by the upstream developers.  Please submit a report at http://bugs.kde.org. You are requested to add the bugzilla link here for tracking purposes. Please make sure the bug isn't already in the upstream bug tracker before filing it.
Comment 8 Steven M. Parrish 2009-06-07 19:16:28 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Steven M. Parrish - KDE Triage MasterFedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Rex Dieter 2009-11-23 10:32:48 EST
Added keyword, Tracking, to continue to document a purposely disabled feature
Comment 10 Konstantin Svist 2011-11-30 14:09:22 EST
I don't use KDE anymore, this bug is irrelevant to me.
Since it appears to be irrelevant to everyone else here, it's probably best to just close it
Comment 11 Lukáš Tinkl 2011-12-01 08:13:28 EST
Closing per reporter's request

Note You need to log in before you can comment on or make changes to this bug.